>From 7f81d553204f06ca46099e80ae4aaa798b75b57f Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Tue, 25 Mar 2014 18:43:34 +0100
Subject: [PATCH] Fix typo in decoding always passing true for the startup
 callback's is_init.

---
 src/backend/replication/logical/logical.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/logical/logical.c b/src/backend/replication/logical/logical.c
index 8c6c6c2..1d08b50 100644
--- a/src/backend/replication/logical/logical.c
+++ b/src/backend/replication/logical/logical.c
@@ -402,7 +402,7 @@ CreateDecodingContext(XLogRecPtr start_lsn,
 	/* call output plugin initialization callback */
 	old_context = MemoryContextSwitchTo(ctx->context);
 	if (ctx->callbacks.startup_cb != NULL)
-		startup_cb_wrapper(ctx, &ctx->options, true);
+		startup_cb_wrapper(ctx, &ctx->options, false);
 	MemoryContextSwitchTo(old_context);
 
 	ereport(LOG,
-- 
1.8.3.251.g1462b67

